%bcond_with bootstrap

Name:           apache-commons-logging
Group:          Development/Java
Version:        1.3.4
Release:        %mkrel 2
Summary:        Apache Commons Logging
License:        ASL 2.0
URL:            https://commons.apache.org/logging
BuildArch:      noarch

Source0:        https://www.apache.org/dist/commons/logging/source/commons-logging-%{version}-src.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.logging.log4j:log4j-1.2-api)
BuildRequires:  mvn(org.apache.logging.log4j:log4j-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires:  mvn(org.moditect:moditect-maven-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
%endif

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.
commons-logging was heavily influenced by Avalon's Logkit and Log4J. The
commons-logging abstraction is meant to minimize the differences between
the two, and to allow a developer to not tie himself to a particular
logging implementation.

%{?javadoc_package}

%prep
%autosetup -p1 -n commons-logging-%{version}-src

%pom_remove_dep :avalon-framework
%pom_remove_dep :logkit
rm src/main/java/org/apache/commons/logging/impl/AvalonLogger.java
rm src/main/java/org/apache/commons/logging/impl/LogKitLogger.java
rm -r src/test/java/org/apache/commons/logging/{avalon,logkit}
rm src/test/java/org/apache/commons/logging/pathable/{Parent,Child}FirstTestCase.java


# Avoid hard-coded versions in OSGi metadata
%pom_xpath_set "pom:properties/pom:commons.osgi.import" '*;resolution:=optional'

%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :maven-scm-publish-plugin

sed -i 's/\r//' RELEASE-NOTES.txt LICENSE.txt NOTICE.txt

# for compatibility reasons
%mvn_file ":commons-logging{*}" "commons-logging@1" "%{name}@1"
%mvn_alias ":commons-logging{*}" "org.apache.commons:commons-logging@1" "apache:commons-logging@1"

%mvn_package ":::{*}:"

# Remove log4j12 tests
rm -rf src/test/java/org/apache/commons/logging/log4j/log4j12

%build
# missing test dependencies
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc PROPOSAL.html RELEASE-NOTES.txt



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.3.4-2.mga10
+ Revision: 2227331
- Mageia 10 Mass Rebuild

* Sun Sep 01 2024 neoclust <neoclust> 1.3.4-1.mga10
+ Revision: 2092453
- New version 1.3.4

* Tue May 21 2024 ns80 <ns80> 1.3.0-2.mga10
+ Revision: 2065588
- rebuild for java 21

* Mon Jan 08 2024 tv <tv> 1.3.0-1.mga10
+ Revision: 2029000
- Update to upstream version 1.3.0

* Mon Jul 25 2022 neoclust <neoclust> 1.2-18.mga9
+ Revision: 1871174
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.2-17.mga9
+ Revision: 1870191
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.2-16.mga9
+ Revision: 1863268
- Enable bootstrap
- Bump Java compiler source/target levels to 1.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 neoclust <neoclust> 1.2-13.mga8
+ Revision: 1664439
- Build against log4j 2

* Sun Aug 23 2020 neoclust <neoclust> 1.2-12.mga8
+ Revision: 1618198
- Fix build with java11

* Tue Aug 11 2020 neoclust <neoclust> 1.2-11.mga8
+ Revision: 1613184
- Rebuild against new java stack

* Fri Feb 14 2020 umeabot <umeabot> 1.2-10.mga8
+ Revision: 1521991
- Mageia 8 Mass Rebuild

* Tue Jan 08 2019 daviddavid <daviddavid> 1.2-9.mga7
+ Revision: 1352029
- Use log4j12
- Add avalon conditional
- Avoid %%add_maven_depmap
- Rebuild to regenerate requires, fixes rhbz#1660117

* Thu Sep 20 2018 umeabot <umeabot> 1.2-8.mga7
+ Revision: 1277589
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 1.2-7.mga6
+ Revision: 1101232
- Port to maven-jar-plugin 3.0.0

* Wed Mar 02 2016 neoclust <neoclust> 1.2-6.mga6
+ Revision: 981961
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.2-5.mga6
+ Revision: 975433
- First rebuild of the java stack
- sync package apache-commons-logging with fedora

* Sun Dec 20 2015 zezinho <zezinho> 1.2-1.mga6
+ Revision: 912438
- new version

* Sun Jan 18 2015 dmorgan <dmorgan> 1.1.3-8.mga5
+ Revision: 811342
- Disable tests

* Thu Dec 25 2014 pterjan <pterjan> 1.1.3-7.mga5
+ Revision: 805643
- Clean rebuild
- Sync with Fedora 21
+ dmorgan <dmorgan>
- Restore from Obsolete
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-5.mga5
+ Revision: 749304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-4.mga5
+ Revision: 677816
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 1.1.3-2.mga4
+ Revision: 488461
- Obsolete jakarta-commons-logging

* Fri Sep 27 2013 dmorgan <dmorgan> 1.1.3-1.mga4
+ Revision: 487558
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-21.mga3
+ Revision: 345768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 1.1.1-20.mga3
+ Revision: 328462
- Rebuild to fix signatures
- Java Stack Mass Rebuild
- Fix build with new tomcat
- Fix Buildrequires
- Add maven-idea-plugin as buildrequires
- Fix buildrequires
- Do not delete twice the same file
- Fix avalon-framework minimum version
- Fix typo
- Build with maven 3
    - Fix build for avalon-framework

* Sun May 15 2011 mikala <mikala> 1.1.1-17.mga1
+ Revision: 98864
- Fix Obsoletes to ease upgrade from mandriva 2010.2

* Wed Apr 27 2011 dmorgan <dmorgan> 1.1.1-16.mga1
+ Revision: 92241
- Rebuild after bootstrapping
- imported package apache-commons-logging


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Alexander Kurtakov <akurtako@redhat.com> 1.1.1-14
- Bring back commons-logging* symlinks.

* Thu Dec 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-13
- Replace tomcat6 BR with servlet25 only
- Cleanups according to new packaging guidelines
- Install maven metadata for -api jar
- Versionless jars/javadocs

* Tue Nov  9 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-12
- Add depmaps for api and adapters subpackages
- Use apache-commons-parent BR instead of maven-*
- Replace tomcat5 BR with tomcat6
- Reenable tests

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-11
- Add license to javadoc subpackage

* Wed Jun 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1.1.1-10
- Add osgi manifest entries.

* Fri May 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-9
- Correct depmap filename for backward compatibility

* Mon May 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-8
- Fix wrong depmap JPP name to short_name
- Add obsoletes to javadoc subpackage

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-7
- Fix symlink problems introduced previously in r5

* Tue May 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-6
- Add one more add_to_maven_depmap for backward compatibility

* Mon May 10 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-5
- Fix up add_to_maven_depmap
- Add jpackage-utils Requires for javadoc
- Cleanup install a bit

* Fri May  7 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-4
- Fix provides

* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-3
- Revert to using default permissions
- Drop "Package" from summary, improve javadoc summary text

* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-2
- Fix EOLs on docs
- Create javadoc symlinks during install
- Use version macro in Source0 URL, use _mavenpomdir macro

* Thu May  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1.1-1
- Rename and rebase from jakarta-commons-logging
